This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 974353 - Publican has limitation as to what image you can use on title page of PDF output
Publican has limitation as to what image you can use on title page of PDF output
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
3.1
Unspecified Unspecified
unspecified Severity unspecified
: 3.2
: ---
Assigned To: Jeff Fearn
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-14 00:18 EDT by Bilhar
Modified: 2013-08-09 00:47 EDT (History)
5 users (show)

See Also:
Fixed In Version: 3.2.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-09 00:47:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bilhar 2013-06-14 00:18:58 EDT
Description of problem:
Publican always seems to defer to looking for an SVG file with the specific name of title_logo.svg. It doesn't use the image file specified in the Book_Info.xml file, like the HTML output does.

Version-Release number of selected component (if applicable):
3.1

How reproducible:
Always

Steps to Reproduce:
1. Don't have an SVG file named title_logo.svg
2. Build a PDF book with Publican
3. If you don't have title_logo.svg file in the /images folder of a brand, Publican falls back to the Publican common content

You should be able to use the same SVG file that the HTML builds use.
Comment 1 HSS Product Manager 2013-07-11 20:57:31 EDT
HSS-QE has reviewed and declined this request. QE for this bug will be handled by IED.
Comment 2 Jeff Fearn 2013-07-11 21:26:51 EDT
To ssh://git.fedorahosted.org/git/publican.git
   ae48e28..29999fc  HEAD -> devel
Comment 3 Petr Bokoc 2013-07-22 07:52:50 EDT
PDFs are now generated with the title logo specified in Book_Info.xml correctly. Verified in publican-3.1.5-0.fc17.t62.noarch.
Comment 4 Jeff Fearn 2013-08-09 00:47:23 EDT
The fix for this bug has been shipped in publican 3.2.0

Note You need to log in before you can comment on or make changes to this bug.